from Globals import InitializeClass
from AccessControl import ClassSecurityInfo

from Products.CMFCore.utils import getToolByName
from Products.CMFCore.permissions import View
from Products.CMFCore.permissions import ModifyPortalContent
from Products.CPSCore.CPSBase import CPSBase_adder, CPSBaseFolder 
from Products.CPSCore.CPSBase import CPSBaseDocument as BaseDocument 
from Products.CPSCore.CPSBase import CPSBaseBTreeFolder as BaseBTreeFolder 

#
# The WAeUP BaseContainer
#

class University(BaseBTreeFolder):
    """
    Container for the various WAeUP containers 
    """
    meta_type = 'University'
    portal_type = meta_type
    security = ClassSecurityInfo()
    
    security.declarePublic('getStudentFolder')
    def getStudentsFolder(self):
        "return the studentsfolder"
##        data = self._data
##        print data.items()
        print self.contentItems()
        print self.contentValues()
        print self.contentIds()
        print self.listFolderContents()
        print self.getContent().objectItems()
        
InitializeClass(University)


def addUniversity(container, id, REQUEST=None, **kw):
    """Add a WAeUP"""
    ob = University(id, **kw)
    return CPSBase_adder(container, ob, REQUEST=REQUEST)

